## org.eclipse.jet.xpath.inspector
Interface INodeInspectorExtension1

    public interface INodeInspectorExtension1

An optional extension interface of `INodeInspector` allowing faster access to named child nodes.

Method Summary
`java.lang.Object[]` `getNamedChildren(java.lang.Object node, ExpandedName nameTestExpandedName)` Return the named children element for the given contextNode.

Method Detail

### getNamedChildren

    java.lang.Object[] getNamedChildren(java.lang.Object node,
                                        ExpandedName nameTestExpandedName)

  Return the named children element for the given contextNode. The implementer may assume that getNodeKind(contextNode) is either NodeKind.ELEMENT or NodeKind.ROOT. The nameTestExpandedName will be in one of two forms: <bl>
  - `ExpandedName.getNamespaceURI()` returns null and `ExpandedName.getLocalPart()` is a name.
  - `ExpandedName.getNamespaceURI()` returns non-null and `ExpandedName.getLocalPart()` is a name.
  </bl> This method will not be called if the XPath nameTest includes a wild-card character (*).

  Parameters:
    `node` - the ELEMENT or ROOT to search
    `nameTestExpandedName` - the expanded name of the element to find.
  Returns:
    the child element or `null` if not found.

Copyright 2006 IBM Corporation and others. All Rights Reserved.